<?php
/**
 * Класс для работы с csv-файлами
 */

class CSV
{
    private $_csv_file = null;
    /**
     * @param string $csv_file  - путь до csv-файла
     */
    public function __construct($csv_dir, $csv_file)
    {
        $csv_file = __DIR__ . DIRECTORY_SEPARATOR . 'csv' . DIRECTORY_SEPARATOR . $csv_file;

        //Если файл существует
        $this->_csv_file = $csv_file; //Записываем путь к файлу в переменную
        $fp = fopen($csv_file, "w"); //Очищаем файл
        fclose($fp); //Очищаем файл

    }

    public function setCSV(array $csv)
    {
        $fp = fopen($this->_csv_file, "a"); //Открываем csv для до-записи, если указать a, то  информация которая была в csv не будет затерта
        // fputs($fp, chr(0xEF) . chr(0xBB) . chr(0xBF)); //BOM
        foreach ($csv as $value) { //Проходим массив
            fputcsv($fp, $value, ';'); //Записываем, 3-ий параметр - разделитель поля
        }
        fclose($fp); //Закрываем
    }
}
